policy_key_ext.c File Reference
`#include "policy_key.h"`
`#include "db_error.h"`
`#include "duration.h"`
`#include "log.h"`
`#include <string.h>`

Go to the source code of this file.

## Functions

int | policy_key_create_from_xml (policy_key_t *policy_key, xmlNodePtr key_node)

## Function Documentation

## policy_key_create_from_xml()

int policy_key_create_from_xml | ( | policy_key_t * | policy_key,
|  | xmlNodePtr | key_node
| ) |  |

Create a policy key object from XML.

Parameters

  [in] | policy_key | a policy_key_t object being created.
  [in] | key_node | a xmlNodePtr to the XML for the policy key.

Returns
  DB_ERROR_* on failure, otherwise DB_OK.

Definition at line 38 of file policy_key_ext.c.

References DB_ERROR_UNKNOWN, DB_OK, POLICY_KEY_MINIMIZE_DNSKEY, POLICY_KEY_MINIMIZE_DS, POLICY_KEY_MINIMIZE_DS_AND_RRSIG, POLICY_KEY_MINIMIZE_NONE, POLICY_KEY_MINIMIZE_RRSIG, POLICY_KEY_ROLE_CSK, POLICY_KEY_ROLE_KSK, POLICY_KEY_ROLE_ZSK, policy_key_set_algorithm(), policy_key_set_bits(), policy_key_set_lifetime(), policy_key_set_manual_rollover(), policy_key_set_minimize(), policy_key_set_repository(), policy_key_set_rfc5011(), policy_key_set_role(), and policy_key_set_standby().

Referenced by policy_import().